[arch-commits] Commit in intel-537/trunk (3 files)

Tobias Powalowski tpowa at archlinux.org
Tue Aug 5 06:03:16 EDT 2008


    Date: Tuesday, August 5, 2008 @ 06:03:15
  Author: tpowa
Revision: 7928

upgpkg: intel-537 2.60.80.0-57

Added:
  intel-537/trunk/kernel-2.6.26.patch
Modified:
  intel-537/trunk/PKGBUILD
  intel-537/trunk/intel-537.install

---------------------+
 PKGBUILD            |    9 ++---
 intel-537.install   |    4 +-
 kernel-2.6.26.patch |   90 ++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 97 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-05 09:49:39 UTC (rev 7927)
+++ PKGBUILD	2008-08-05 10:03:15 UTC (rev 7928)
@@ -1,18 +1,18 @@
 # $Id$
 # Maintainer : Tobias Powalowski <tpowa at archlinux.org>
 
-_kernver=2.6.25-ARCH;
+_kernver=2.6.26-ARCH;
 
 pkgname=intel-537
 pkgver=2.60.80.0
-pkgrel=56
+pkgrel=57
 pkgdesc="Intel Modem Drivers for 537 chipsets. For stock arch 2.6 kernel"
 arch=(i686 x86_64)
 license=('custom:"INTEL537"')
 url="http://linmodems.technion.ac.il/packages/Intel/"
-depends=('intel-537-utils' 'kernel26>=2.6.25.3-1' 'kernel26<2.6.26')
+depends=('intel-537-utils' 'kernel26>=2.6.26-1' 'kernel26<2.6.27')
 source=(http://downloadmirror.intel.com/9284/eng/Intel-537EP-2.70.95.0-suse9.3.tgz flip.patch compile.patch \
-	module-parm.patch pm_unregister.patch asmlinkage.patch kernel-2.6.19.patch kernel-2.6.20.patch kernel-2.6.24.patch)
+	module-parm.patch pm_unregister.patch asmlinkage.patch kernel-2.6.19.patch kernel-2.6.20.patch kernel-2.6.24.patch kernel-2.6.26.patch)
 install=intel-537.install
 
 build() {
@@ -25,6 +25,7 @@
   patch -Np0 -i ../kernel-2.6.19.patch || return 1
   patch -Np0 -i ../kernel-2.6.20.patch || return 1
   patch -Np0 -i ../kernel-2.6.24.patch || return 1
+  patch -Np0 -i ../kernel-2.6.26.patch || return 1
   # fix makefile
   sed -i -e "s/\`uname -r\`/${_kernver}/g" makefile
   sed -i -e "s/\`uname -r\`/${_kernver}/g" config_check

Modified: intel-537.install
===================================================================
--- intel-537.install	2008-08-05 09:49:39 UTC (rev 7927)
+++ intel-537.install	2008-08-05 10:03:15 UTC (rev 7928)
@@ -8,7 +8,7 @@
 
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.25-ARCH
+  KERNEL_VERSION=2.6.26-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 echo
 echo
@@ -30,7 +30,7 @@
   rm /etc/hamregistry.bin
   # updating module dependencies
   echo ">>> Updating module dependencies. Please wait ..."
-  KERNEL_VERSION=2.6.25-ARCH
+  KERNEL_VERSION=2.6.26-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 

Added: kernel-2.6.26.patch
===================================================================
--- kernel-2.6.26.patch	                        (rev 0)
+++ kernel-2.6.26.patch	2008-08-05 10:03:15 UTC (rev 7928)
@@ -0,0 +1,90 @@
+diff -ruN intel-536EP-2.56.76.0/coredrv/coredrv.c intel-536EP-2.56.76.0.patched/coredrv/coredrv.c
+--- coredrv/coredrv.c	2007-02-23 09:49:06.000000000 +0100
++++ coredrv/coredrv.c	2008-08-05 11:26:09.000000000 +0200
+@@ -740,7 +740,7 @@
+ 
+ int create_hamproc(void)
+ {
+-   hamproc = create_proc_entry("ham", S_IFREG | S_IRUGO, &proc_root);
++   hamproc = create_proc_entry("ham", S_IFREG | S_IRUGO, NULL);
+    if(hamproc == NULL) return -ENOMEM;
+    hamproc->read_proc = hamproc_read;
+    hamproc->write_proc = hamproc_write;
+@@ -748,7 +748,7 @@
+ }
+ void detach_hamproc(void)
+ {
+-   remove_proc_entry("ham", &proc_root);
++   remove_proc_entry("ham", NULL);
+ }
+ 
+ 
+--- coredrv/softserial.c~	2008-08-05 09:58:14.000000000 +0000
++++ coredrv/softserial.c	2008-08-05 09:58:14.000000000 +0000
+@@ -136,24 +136,28 @@
+                                                   CLOCAL;
+    G.softserial_tty_driver->magic           = TTY_DRIVER_MAGIC;
+ 
+-   G.softserial_tty_driver->open            = softserial_open;
+-   G.softserial_tty_driver->close           = softserial_close;
+-   G.softserial_tty_driver->write           = softserial_write;
+-   G.softserial_tty_driver->put_char        = softserial_put_char;
+-   G.softserial_tty_driver->flush_chars     = softserial_flush_chars;
+-   G.softserial_tty_driver->write_room      = softserial_write_room;
+-   G.softserial_tty_driver->chars_in_buffer = softserial_chars_in_buffer;
+-   G.softserial_tty_driver->flush_buffer    = softserial_flush_buffer;
+-   G.softserial_tty_driver->ioctl           = softserial_ioctl;
+-   G.softserial_tty_driver->throttle        = softserial_throttle;
+-   G.softserial_tty_driver->unthrottle      = softserial_unthrottle;
+-   G.softserial_tty_driver->send_xchar      = softserial_send_xchar;
+-   G.softserial_tty_driver->set_termios     = softserial_set_termios;
+-   G.softserial_tty_driver->stop            = softserial_stop;
+-   G.softserial_tty_driver->start           = softserial_start;
+-   G.softserial_tty_driver->hangup          = softserial_hangup;
+-   G.softserial_tty_driver->break_ctl       = softserial_break;
+-   G.softserial_tty_driver->wait_until_sent = softserial_wait_until_sent;
++   static struct tty_operations ops = {
++     .open            = softserial_open,
++     .close           = softserial_close,
++     .write           = softserial_write,
++     .put_char        = softserial_put_char,
++     .flush_chars     = softserial_flush_chars,
++     .write_room      = softserial_write_room,
++     .chars_in_buffer = softserial_chars_in_buffer,
++     .flush_buffer    = softserial_flush_buffer,
++     .ioctl           = softserial_ioctl,
++     .throttle        = softserial_throttle,
++     .unthrottle      = softserial_unthrottle,
++     .send_xchar      = softserial_send_xchar,
++     .set_termios     = softserial_set_termios,
++     .stop            = softserial_stop,
++     .start           = softserial_start,
++     .hangup          = softserial_hangup,
++     .break_ctl       = softserial_break,
++     .wait_until_sent = softserial_wait_until_sent,
++   };
++   tty_set_operations(&(G.softserial_tty_driver), &ops);
++
+ 
+    rc = tty_register_driver(G.softserial_tty_driver);
+    if(rc)
+--- coredrv/afedsp_int.c~	2008-08-05 10:01:45.000000000 +0000
++++ coredrv/afedsp_int.c	2008-08-05 10:01:45.000000000 +0000
+@@ -368,7 +368,7 @@
+ 
+ int create_afeproc(void)
+ {
+-    afeproc = create_proc_entry("afe", S_IFREG|S_IRUGO, &proc_root);
++    afeproc = create_proc_entry("afe", S_IFREG|S_IRUGO, NULL);
+     if(afeproc == NULL)
+         return -ENOMEM;
+     afeproc->proc_fops = &proc_afe_operations;
+@@ -377,7 +377,7 @@
+ 
+ void remove_afeproc(void)
+ {
+-    remove_proc_entry("afe", &proc_root);
++    remove_proc_entry("afe", NULL);
+ }
+ 
+ static int use_count = 0;




More information about the arch-commits mailing list